#!/bin/sh
# This shell script is run before Openbox launches.
# Environment variables set here are passed to the Openbox session.

# D-bus
if which dbus-launch >/dev/null && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
       eval `dbus-launch --sh-syntax --exit-with-session`
fi

#application paramètres résolution-écrans
~/.screenlayout/config.sh

## Desktop environment

#suspend to ram quand on arrive à 3% de batterie
~/.autosuspend &

#jolis fondus et transparence
#xcompmgr -CfF &

#un panel, utile
fbpanel &

#un fond d'écran pris au hasard dans le dossier Fonds ; également mis au bureau pcmanfm
(imgfond="$(find ~/Fonds -type f |sort -R |tail -1)";feh --bg-scale $imgfond;sed -i "s|^wallpaper=.*$|wallpaper=$imgfond|" ~/.config/pcmanfm/main) &

#icônes du bureau
#pcmanfm -d &

#on éteint l'écran après 10mn d'inactivité
xset dpms 0 0 600 &

#moniteur de batterie en tray
#BatterySystemTray &

#addons
(while [ -z "$(pidof openbox)" ];do sleep 1;done && for addon in /addons/xsession/*;do ($addon &);done) &
